package com.platform.enums;

public enum SysRoleEnum {
    ADMIN(5L, "超级管理员"),
    COMPONY_ADMIN(6L, "平台主持人"),
    COMPONY_EMPLOYEE(8L, "公司员工"),
    PLATFORM_STREAMER(9L, "平台主持人");

    private Long code;
    private String desc;

    public static Long PLATFORM_STREAMER_CODE = 9L;

    SysRoleEnum(Long code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Long getCode() {
        return code;
    }

    public void setCode(Long code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
